import request from '@/utils/request'

// 查询压缩培训内容列表
export function listYsContent(query) {
  return request({
    url: '/bccnew/ysContent/list',
    method: 'get',
    params: query
  })
}

// 查询压缩培训内容详细
export function getYsContent(id) {
  return request({
    url: '/bccnew/ysContent/' + id,
    method: 'get'
  })
}

// 新增压缩培训内容
export function addYsContent(data) {
  return request({
    url: '/bccnew/ysContent',
    method: 'post',
    data: data
  })
}

// 修改压缩培训内容
export function updateYsContent(data) {
  return request({
    url: '/bccnew/ysContent',
    method: 'put',
    data: data
  })
}

// 删除压缩培训内容
export function delYsContent(id) {
  return request({
    url: '/bccnew/ysContent/' + id,
    method: 'delete'
  })
}

// 导出压缩培训内容
export function exportYsContent(query) {
  return request({
    url: '/bccnew/ysContent/export',
    method: 'get',
    params: query
  })
}